=== scribus/CMakeLists.txt ===
#For those that want it, show the SVN version in the About dialog
if (WANT_SVNVERSION)
	add_definitions(-DHAVE_SVNVERSION)
	message(STATUS "SVN Version requested in About dialog")
	# a custom target that is always built

	if (NOT CMAKE_VERSION VERSION_LESS "3.2.0")
	add_custom_target(svnheader ALL COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h)

	else ()
	add_custom_target(svnheader ALL DEPENDS svn_header ) # svn_header is nothing more than a unique string

	# creates svnheader.h using cmake script
	add_custom_command(OUTPUT svn_header ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
		COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake)

	set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
		PROPERTIES GENERATED TRUE
		HEADER_FILE_ONLY TRUE)
	endif ()
endif ()

if(WIN32)
	add_definitions(-DQT_DLL)
endif()

add_subdirectory(dtd)
add_subdirectory(colormgmt)
add_subdirectory(desaxe)
add_subdirectory(fonts)
add_subdirectory(styles)
add_subdirectory(text)
add_subdirectory(ui/qml)
if(WITH_TESTS)
	add_subdirectory(tests)
endif()
add_subdirectory(unicodemap)
if (WANT_DESIGNER)
	add_subdirectory(designer)
endif ()
add_subdirectory(third_party)

if(HAVE_OSG)
	set(SCRIBUS_OSG_UI_SRC
		ui/osgeditor.ui
	)
	set(SCRIBUS_OSG_CLASS
		ui/AdapterWidget.h
		ui/osgeditor.h
		pageitem_osgframe.h
	)
	set(SCRIBUS_OSG_SRC
		ui/AdapterWidget.cpp
		ui/osgeditor.cpp
		pageitem_osgframe.cpp
	)
endif ()

if (GMAGICK_FOUND)
	set(SCRIBUS_GMAGICK_SRC imagedataloaders/scimgdataloader_gmagick.cpp)
else()
	set(SCRIBUS_GMAGICK_SRC)
endif()

# We setup something like a group to gather setter related stuff
# because it could expand into a huge amount of files at some point.
set(SCRIBUS_ITEMSETTERS_UI_SRC
	ui/positionsetter.ui
	ui/rotationsetter.ui
)

set(SCRIBUS_ITEMSETTERS_CLASS
	openpalettemanager.h
	openpalettemodel.h
	pageitemsettersmanager.h
	ui/openpalette.h
	ui/openpaletteview.h
	ui/pageitempositionsetter.h
	ui/pageitemrotationsetter.h
)

set(SCRIBUS_ITEMSETTERS_SRC
	openpalettemanager.cpp
	openpalettemodel.cpp
	pageitemsettersmanager.cpp
	ui/openpalette.cpp
	ui/openpaletteview.cpp
	ui/pageitemsetterbase.cpp
	ui/pageitempositionsetter.cpp
	ui/pageitemrotationsetter.cpp
)

set(SCRIBUS_UI_SRC
	ui/aboutplugins.ui
	ui/aligndistribute.ui
	ui/annot.ui
	ui/arcvectorbase.ui
	ui/arcwidgetbase.ui
	ui/charselect.ui
	ui/charselectenhanced.ui
	ui/cmsprefsbase.ui
	ui/cmykfwbase.ui
	ui/colorpalette.ui
	ui/colorsandfillsbase.ui
	ui/downloadspalettebase.ui
	ui/gradientaddedit.ui
	ui/gradienteditor.ui
	ui/gradientvectorbase.ui
	ui/gtfiledialog.ui
	ui/guidemanager.ui
	ui/insertaframe.ui
	ui/inserttablecolumnsdialog.ui
	ui/inserttablerowsdialog.ui
	ui/latexeditor.ui
	ui/newmarginwidgetbase.ui
	ui/mark2item.ui
	ui/mark2mark.ui
	ui/markanchor.ui
	ui/marknote.ui
	ui/marksmanager.ui
	ui/markvariabletext.ui
	ui/measurementsbase.ui
	ui/multipleduplicate.ui
	ui/multiprogressdialog.ui
	ui/nftdialog.ui
	ui/nftwidget.ui
	ui/notesstyleseditor.ui
	ui/pageitemattributes.ui
	ui/pagepalette_pagesbase.ui
	ui/pagepalette_masterpagesbase.ui
	ui/picsearch.ui
	ui/picsearchoptions.ui
	ui/picstatus.ui
	ui/pluginmanagerprefsgui.ui
	ui/polygonwidgetbase.ui
	ui/preferencesdialogbase.ui
	ui/prefs_colormanagementbase.ui
	ui/prefs_displaybase.ui
	ui/prefs_documentinformationbase.ui
	ui/prefs_documentsectionsbase.ui
	ui/prefs_documentsetupbase.ui
	ui/prefs_externaltoolsbase.ui
	ui/prefs_fontsbase.ui
	ui/prefs_guidesbase.ui
	ui/prefs_hyphenatorbase.ui
	ui/prefs_imagecachebase.ui
	ui/prefs_keyboardshortcutsbase.ui
	ui/prefs_miscellaneousbase.ui
	ui/prefs_pathsbase.ui
	ui/prefs_pagesizesbase.ui
	ui/prefs_pluginsbase.ui
	ui/prefs_preflightverifierbase.ui
	ui/prefs_printerbase.ui
	ui/prefs_scrapbookbase.ui
	ui/prefs_spellingbase.ui
	ui/prefs_typographybase.ui
	ui/prefs_userinterfacebase.ui
	ui/prefs_itemtoolsbase.ui
	ui/prefs_operatortoolsbase.ui
	ui/prefs_pdfexportbase.ui
	ui/prefs_tableofcontentsbase.ui
	ui/prefs_documentitemattributesbase.ui
	ui/printdialogbase.ui
	ui/propertiespalette_groupbase.ui
	ui/propertiespalette_imagebase.ui
	ui/propertiespalette_linebase.ui
	ui/propertiespalette_shapebase.ui
	ui/propertiespalette_tablebase.ui
	ui/propertiespalette_textbase.ui
	ui/propertiespalette_xyzbase.ui
	ui/propertywidget_advancedbase.ui
	ui/propertywidget_distancebase.ui
	ui/propertywidget_pareffectbase.ui
	ui/propertywidget_flopbase.ui
	ui/propertywidget_fontfeaturesbase.ui
	ui/propertywidget_hyphenationbase.ui
	ui/propertywidget_optmarginsbase.ui
	ui/propertywidget_orphansbase.ui
	ui/propertywidget_pathtextbase.ui
	ui/propertywidget_textcolorbase.ui
	ui/recoverdialog.ui
	ui/replacecolors.ui
	ui/replaceonecolor.ui
	ui/resourcemanagerbase.ui
	ui/resourcemanagerlicensebase.ui
	ui/selectobjects.ui
	ui/shortcutwidget.ui
	ui/smcellstylewidget.ui
	ui/smcstylewidget.ui
	ui/smfontfeaturesbase.ui
	ui/smlinestylewidget.ui
	ui/smtablestylewidget.ui
	ui/smpstylewidget.ui
	ui/smreplacedia.ui
	ui/smstyleimport.ui
	ui/spiralvectorbase.ui
	ui/spiralwidgetbase.ui
	ui/stylemanager.ui
	ui/tablecolumnwidthsdialog.ui
	ui/tablerowheightsdialog.ui
	ui/tabpdfoptions.ui
	ui/transformdialogbase.ui
	ui/transparencypalette.ui
	ui/copypagetomasterpage.ui
	ui/createrange.ui
	ui/helpbrowser.ui
	ui/helpbrowsernavigation.ui
	ui/unicodesearch.ui
	ui/useprintermarginsdialog.ui
	ui/weldeditbase.ui
#	#{SCRIBUS_ITEMSETTERS_UI_SRC}
	${SCRIBUS_OSG_UI_SRC}
)

set(SCRIBUS_MOC_CLASSES
	actionmanager.h
	appmodehelper.h
	canvas.h
	canvasgesture.h
	canvasgesture_cellselect.h
	canvasgesture_columnresize.h
	canvasgesture_rowresize.h
	canvasgesture_rulermove.h
	canvasgesture_table.h
	canvasgesture_tableresize.h
	canvasmode.h
	canvasmode_create.h
	canvasmode_edit.h
	canvasmode_editarc.h
	canvasmode_editpolygon.h
	canvasmode_editspiral.h
	canvasmode_edittable.h
	canvasmode_editweldpoint.h
	canvasmode_eyedropper.h
	canvasmode_framelinks.h
	canvasmode_imageimport.h
	canvasmode_measurements.h
	canvasmode_normal.h
	canvasmode_objimport.h
	chartablemodel.h
	chartableview.h
	collect4output.h
	colorblind.h
	commonstrings.h
	deferredtask.h
	docinfo.h
	downloadmanager/scdlmgr.h
	downloadmanager/scdlthread.h
	fileloader.h
	filesearch.h
	filewatcher.h
	fontlistmodel.h
	guidesdelegate.h
	guidesmodel.h
	guidesview.h
	hyphenator.h
	iconmanager.h
	latexhelpers.h
	loadsaveplugin.h
	menumanager.h
	navigator.h
	notesstyles.h
	observable.h
	pageitem.h
	pageitem_arc.h
	pageitem_group.h
	pageitem_imageframe.h
	pageitem_latexframe.h
	pageitem_line.h
	pageitem_pathtext.h
	pageitem_polygon.h
	pageitem_polyline.h
	pageitem_regularpolygon.h
	pageitem_spiral.h
	pageitem_symbol.h
	pageitem_table.h
	pageitem_textframe.h
	pageitem_noteframe.h
	pageitempointer.h
	pdf_analyzer.h
	pdflib.h
	pdflib_core.h
	pluginmanager.h
	pp_proxy.h
	prefsmanager.h
	pslib.h
	qtiocompressor.h
	sampleitem.h
	scgtplugin.h
	schelptreemodel.h
	scimagecachedir.h
	scimagecachefile.h
	scimagecachemanager.h
	scmimedata.h
	scplugin.h
	scprintengine.h
	scraction.h
	scribus.h
	scribusapp.h
	scribuscore.h
	scribusdoc.h
	scribusview.h
	scribuswin.h
	selection.h
	selectionrubberband.h
	styleitem.h
	tocgenerator.h
	undogui.h
	undomanager.h
	upgradechecker.h
	urllauncher.h
	ui/about.h
	ui/aboutplugins.h
	ui/adjustcmsdialog.h
	ui/aligndistribute.h
	ui/alignselect.h
	ui/directionselect.h
	ui/annot.h
	ui/annota.h
	ui/applytemplatedialog.h
	ui/arcwidget.h
	ui/arcvectordialog.h
	ui/arrowchooser.h
	ui/autoform.h
	ui/autoformbuttongroup.h
	ui/basepointwidget.h
	ui/bookmarkpalette.h
	ui/bookmwin.h
	ui/buttonicon.h
	ui/charselect.h
	ui/charselectenhanced.h
	ui/charzoom.h
	ui/checkDocument.h
	ui/clockwidget.h
	ui/cmsprefs.h
	ui/cmykfw.h
	ui/collectforoutput_ui.h
	ui/colorchart.h
	ui/colorcombo.h
	ui/colorlistbox.h
	ui/colorlistmodel.h
	ui/colorsandfills.h
	ui/contextmenu.h
	ui/cpalette.h
	ui/cupsoptions.h
	ui/curvewidget.h
	ui/customfdialog.h
	ui/dasheditor.h
	ui/dcolor.h
	ui/delpages.h
	ui/downloadspalette.h
	ui/editor.h
	ui/effectsdialog.h
	ui/extimageprops.h
	ui/filedialogeventcatcher.h
	ui/fontcombo.h
	ui/fontlistview.h
	ui/fontreplacedialog.h
	ui/gradientaddedit.h
	ui/gradienteditor.h
	ui/gradientvectordialog.h
	ui/gradientpreview.h
	ui/gtdialogs.h
	ui/gtfiledialog.h
	ui/guidemanager.h
	ui/helpbrowser.h
	ui/helpnavigation.h
	ui/hruler.h
	ui/hyask.h
	ui/imageinfodialog.h
	ui/inlinepalette.h
	ui/insertTable.h
	ui/insertaframe.h
	ui/inserttablecolumnsdialog.h
	ui/inserttablerowsdialog.h
	ui/inspage.h
	ui/javadocs.h
	ui/latexeditor.h
	ui/layers.h
	ui/linecombo.h
	ui/linkbutton.h
	ui/loremipsum.h
	ui/markinsert.h
	ui/mark2item.h
	ui/mark2mark.h
	ui/markanchor.h
	ui/marknote.h
	ui/marksmanager.h
	ui/markvariabletext.h
	ui/marginpresetlayout.h
	ui/marginwidget.h
	ui/newmarginwidget.h
	ui/measurements.h
	ui/mergedoc.h
	ui/missing.h
	ui/movepage.h
	ui/multipleduplicate.h
	ui/multiprogressdialog.h
	ui/newfile.h
	ui/newtemp.h
	ui/nftdialog.h
	ui/nftwidget.h
	ui/nodeeditpalette.h
	ui/notesstyleseditor.h
	ui/oneclick.h
	ui/outlinepalette.h
	ui/pageitemattributes.h
	ui/pagelayout.h
	ui/pagepalette.h
	ui/pagepalette_pages.h
	ui/pagepalette_masterpages.h
	ui/pagepalette_widgets.h
	ui/pagepropertiesdialog.h
	ui/pageselector.h
	ui/patternpropsdialog.h
	ui/pdfexportdialog.h
	ui/picsearch.h
	ui/picsearchoptions.h
	ui/picstatus.h
	ui/pluginmanagerprefsgui.h
	ui/polygonwidget.h
	ui/polyprops.h
	ui/preferencesdialog.h
	ui/prefs_colormanagement.h
	ui/prefs_display.h
	ui/prefs_documentinformation.h
	ui/prefs_documentsections.h
	ui/prefs_documentsetup.h
	ui/prefs_externaltools.h
	ui/prefs_fonts.h
	ui/prefs_guides.h
	ui/prefs_hyphenator.h
	ui/prefs_imagecache.h
	ui/prefs_keyboardshortcuts.h
	ui/prefs_miscellaneous.h
	ui/prefs_pagesizes.h
	ui/prefs_paths.h
	ui/prefs_pane.h
	ui/prefs_plugins.h
	ui/prefs_preflightverifier.h
	ui/prefs_printer.h
	ui/prefs_scrapbook.h
	ui/prefs_spelling.h
	ui/prefs_typography.h
	ui/prefs_userinterface.h
	ui/prefs_itemtools.h
	ui/prefs_operatortools.h
	ui/prefs_pdfexport.h
	ui/prefs_tableofcontents.h
	ui/prefs_documentitemattributes.h
	ui/prefspanel.h
	ui/preview.h
	ui/printdialog.h
	ui/propertiespalette.h
	ui/propertiespalette_group.h
	ui/propertiespalette_image.h
	ui/propertiespalette_line.h
	ui/propertiespalette_shadow.h
	ui/propertiespalette_shape.h
	ui/propertiespalette_table.h
	ui/propertiespalette_text.h
	ui/propertiespalette_utils.h
	ui/propertiespalette_xyz.h
	ui/propertywidget_advanced.h
	ui/propertywidget_distance.h
	ui/propertywidget_pareffect.h
	ui/propertywidget_flop.h
	ui/propertywidget_hyphenation.h
	ui/propertywidget_optmargins.h
	ui/propertywidget_orphans.h
	ui/propertywidget_pathtext.h
	ui/propertywidget_textcolor.h
	ui/propertywidget_fontfeatures.h
	ui/proptree.h
	ui/query.h
	ui/recoverdialog.h
	ui/replacecolors.h
	ui/replaceonecolor.h
	ui/resourcemanager.h
	ui/resourcemanagerlicense.h
	ui/rulermover.h
	ui/sccolorslider.h
	ui/sccombobox.h
	ui/scdockpalette.h
	ui/scescapecatcher.h
	ui/scfilewidget.h
	ui/scinputdialog.h
	ui/sclistwidgetdelegate.h
	ui/scmenu.h
	ui/scmessagebox.h
	ui/scmwmenumanager.h
	ui/scrapbookpalette.h
	ui/scrpalettebase.h
	ui/scrspinbox.h
	ui/sctablewidget.h
	ui/sctextbrowser.h
	ui/sctoolbar.h
	ui/sctreewidget.h
	ui/search.h
	ui/selectobjects.h
	ui/selfield.h
	ui/shadebutton.h
	ui/shortcutwidget.h
	ui/smalignselect.h
	ui/smcellstylewidget.h
	ui/smcellstyle.h
	ui/smcheckbox.h
	ui/smcolorcombo.h
	ui/smcstylewidget.h
	ui/smdirectionselect.h
	ui/smfontfeatures.h
	ui/smtablestylewidget.h
	ui/smfontcomboh.h
	ui/smlinestyle.h
	ui/smlinestylewidget.h
	ui/smpstylewidget.h
	ui/smradiobutton.h
	ui/smreplacedia.h
	ui/smsccombobox.h
	ui/smscrspinbox.h
	ui/smshadebutton.h
	ui/smspinbox.h
	ui/smlineedit.h
	ui/smstyleimport.h
	ui/smstyleselect.h
	ui/smtablestyle.h
	ui/smtabruler.h
	ui/smtextstyles.h
	ui/spalette.h
	ui/spiralvectordialog.h
	ui/spiralwidget.h
	ui/splash.h
	ui/storyeditor.h
	ui/stylemanager.h
	ui/styleselect.h
	ui/styleview.h
	ui/swatchcombo.h
	ui/symbolpalette.h
