=== scribus/plugins/CMakeLists.txt ===
add_subdirectory(export)
add_subdirectory(import)
add_subdirectory(barcodegenerator)
add_subdirectory(colorwheel)
add_subdirectory(fileloader)
add_subdirectory(fontpreview)
add_subdirectory(gettext)
# add_subdirectory(newfromtemplateplugin)
add_subdirectory(saveastemplateplugin)
if(NOT WANT_SCRIPTER2)
  #scripter1
  if(NOT WIN32)
    message(STATUS "Building with Scripter 1")
    add_subdirectory(scriptplugin)
  endif()
else()
  #scripter2
  message(STATUS "Building with Scripter 2")
  add_subdirectory(scripter)
endif()
add_subdirectory(short-words)
add_subdirectory(tools)
add_subdirectory(picbrowser)
add_subdirectory(shapes)

# add_subdirectory(myplugin)
