=== scribus/plugins/fileloader/CMakeLists.txt ===
#Subdirectories
add_subdirectory(scribus150format)
add_subdirectory(scribus134format)
add_subdirectory(scribus13format)
add_subdirectory(scribus12format)
