=== scribus/plugins/import/CMakeLists.txt ===
add_subdirectory(ai)
add_subdirectory(cdr)
add_subdirectory(cgm)
add_subdirectory(cvg)
add_subdirectory(drw)
add_subdirectory(emf)
add_subdirectory(fh)
add_subdirectory(idml)
add_subdirectory(odg)
add_subdirectory(oodraw)
add_subdirectory(pages)
add_subdirectory(pct)
if(HAVE_POPPLER)
	add_subdirectory(pdf)
else()
	add_subdirectory(ps)
endif()
# add_subdirectory(pgs)
# add_subdirectory(ppp)
add_subdirectory(pm)
add_subdirectory(pub)
add_subdirectory(shape)
add_subdirectory(sml)
add_subdirectory(svg)
add_subdirectory(svm)
add_subdirectory(uniconvertor)
add_subdirectory(viva)
add_subdirectory(vsd)
add_subdirectory(wmf)
add_subdirectory(wpg)
add_subdirectory(xar)
add_subdirectory(xfig)
add_subdirectory(xps)
