=== scribus/plugins/saveastemplateplugin/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(SAVEASTEMPLATE_PLUGIN_UI_SRC
	satdialog.ui
)

set(SAVEASTEMPLATE_PLUGIN_MOC_CLASSES
	satdialog.h
	satemplate.h
)

set(SAVEASTEMPLATE_PLUGIN_SOURCES
	satdialog.cpp
	satemplate.cpp
)

set(SCRIBUS_SAVEASTEMPLATE_PLUGIN "saveastemplateplugin")

QT5_WRAP_UI(SAVEASTEMPLATE_PLUGIN_UI_SOURCES ${SAVEASTEMPLATE_PLUGIN_UI_SRC} )
QT5_WRAP_CPP(SAVEASTEMPLATE_PLUGIN_MOC_SOURCES ${SAVEASTEMPLATE_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_SAVEASTEMPLATE_PLUGIN} MODULE ${SAVEASTEMPLATE_PLUGIN_SOURCES}
			${SAVEASTEMPLATE_PLUGIN_MOC_SOURCES} ${SAVEASTEMPLATE_PLUGIN_UI_SOURCES})

target_link_libraries(${SCRIBUS_SAVEASTEMPLATE_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_SAVEASTEMPLATE_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

# set_target_properties(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")
