=== scribus/plugins/import/cgm/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(IMPORTCGM_PLUGIN_MOC_CLASSES
	importcgm.h
	importcgmplugin.h
)

set(IMPORTCGM_PLUGIN_SOURCES
	importcgm.cpp
	importcgmplugin.cpp
)

set(SCRIBUS_IMPORTCGM_PLUGIN "importcgm")

QT5_WRAP_CPP(IMPORTCGM_PLUGIN_MOC_SOURCES ${IMPORTCGM_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_IMPORTCGM_PLUGIN} MODULE ${IMPORTCGM_PLUGIN_SOURCES} ${IMPORTCGM_PLUGIN_MOC_SOURCES})

target_link_libraries(${SCRIBUS_IMPORTCGM_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_IMPORTCGM_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(${SCRIBUS_IMPORTCGM_PLUGIN} ${EXE_NAME})

# set_target_properties(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")
