=== debian/changelog ===
scribus-ng (1.5.3+dfsg-2) experimental; urgency=medium

  * d/control:
    + Add Build-Depends on libpoppler-cpp-dev.
    + Drop Recommends of scribus-ng from scribus-ng-data.
    + Bump Standards-Version to 4.1.2:
      - Change priority from extra (deprecated) to optional.
      -  Use HTTPS in d/copyright's Format field.
    + Declere that scribus-ng can be built without root: R³:no.
  * Add patch from upstream to fix FTBFS with poppler >= 0.58.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Dec 2017 00:56:26 +0100

scribus-ng (1.5.3+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.3+dfsg.  Closes: #863687
    https://wiki.scribus.net/canvas/1.5.3_Release
  * d/copyright:
    + Update list of excluded files.
    + Update copyright/license information.
  * d/patches:
    + Drop patches applied upstream.
    + Refresh patches.
    + findOpenSSL: add to fix build configuration with libpodofo >= 0.9.5.
  * d/control:
    + Add new build-dependency on libharfbuzz-dev.
    + Bump Standards-Version to 4.0.0, no changes needed.
  * d/rules: don't deal with files not shipped anymore.
  * d/scirbus-ng-data.install: don't install a file not shipped anymore.
  * d/upstream/signing-key.asc:
    + Refresh plinnell's key and add the new "Scribus Team" signing key.
  * d/scribus-ng.lintian-overrides: drop now seemingly unneeded overrides.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Jun 2017 21:34:24 +0200

scribus-ng (1.5.2+dfsg-4) experimental; urgency=medium

  * d/copyright: bump the year for debian/*.
  * d/patches:
    + (finally) drop qreal_double patch: scribus-ng builds fine everywhere now.
    + fix_FTBFS_BE: mark as upstreamed.
    + install-icons.patch: new patch from upstream trunk, to install the high
      resolution icons.
  * d/scribus-ng.data: stop installing manually the icons, and let the build
    system do it.
  * d/rules: add comments link to the upstream bugs we are workarounding.
  * d/watch: fixup dversionmangle rule.
    While on it, rewrite it all using a more modern format with version=4.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 May 2017 14:17:47 +0200

scribus-ng (1.5.2+dfsg-3) experimental; urgency=medium

  * d/p/series: sort according to their upstream status.
  * d/patches:
    + New patches backported from upstream trunk:
      - appdatadir: update appstream file and install location
      - upstream_14256-14257: drops mimelnk file, improve .desktop file,
        install .desktop.  This obsoletes the patch 'desktop.patch' (removed).
      - dynamic-freedesktop: dynamically generate scribus.desktop and
        scribus.appdata.xml and name them after -DCUSTOM-VERSIONTAG.
      - name-manpages-after-versiontag: rename the manpages after
        -DCUSTOM_VERSIONTAG
    + New patch not yet upstreamed:
      - fix_FTBFS_BE: fix FTBFS on big endian architectures.  This requires a
        new build dependency on extra-cmake-modules.
    + New non-upstreamable patch:
      - ng.patch: name the program 'Scribus NG' in the .desktop file.
  * Do not Build-Depend on libopenscenegraph-dev on arm*, to work around
    FTBFS on those architectures.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Mar 2017 20:51:59 +0100

scribus-ng (1.5.2+dfsg-2) experimental; urgency=medium

  * [4344537] Ship our own copy of the appstream metada, following the newer
    standard.  Thanks to Matthias Klumpp for the help.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 May 2016 19:26:37 +0000

scribus-ng (1.5.2+dfsg-1) experimental; urgency=medium

  * [ee3f360] Imported Upstream version 1.5.2+dfsg
    https://wiki.scribus.net/canvas/1.5.2_Release
  * [69d5c94] d/copyright: update
  * [dc73a1a] d/control: Bump Standards-Version to 3.9.8, no changes needed.
  * d/patches:
    + [2a444ba] refresh.
    + [151c664] system-hyphen: remove as applied upstream.
    + [48d83a0] qreal_double.patch: disable again.
  * [0adb7c9] d/rules,d/scribus-ng.install: also install the appdata file.
  * [feba8b7] d/scribus-ng-data.install: install the new highres icons.
  * [6353cc3] d/rules: stop installing that awful low res icon.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 17 May 2016 23:40:11 +0000

scribus-ng (1.5.1+dfsg-4) experimental; urgency=medium

  * [7c24df8] Revert change from the previous upload:
    "[c629407] qreal_double.patch: drop: looks like it builds anyway."
    It doesn't actually build.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 02 Apr 2016 14:51:36 +0000

scribus-ng (1.5.1+dfsg-3) experimental; urgency=medium

  * [8a35126] d/control: s/QT4/QT5/.
  * drop patches:
    + [c629407] qreal_double.patch: drop: looks like it builds anyway.
    + [35468d8] hyphen-used-as-minus-sign.patch: drop: we gave up on this issue.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 22 Mar 2016 16:28:21 +0000

scribus-ng (1.5.1+dfsg-2) experimental; urgency=medium

  * [124d1dc] debian/patches/system-hyphen: backport patch from upstream to
    use /usr/share/hyphen as a system place to look up hyphenation dictionaries.
  * [ad29d5e] debian/scribus-ng-data.links: remove compat symlink to the system
    hyphenation dictionaries.
  * debian/control:
    + [09ce733] wrap-and-sort accordig to my new preferences.
    + make this more similar to the main scribus package:
      - [0267e4a] move to priority:extra.
      - [e9636ff] add missing build-dependency on dh-python.
      - [f70194f] recommend hyphen-hyphenation-patterns and fonts-dejavu.
      - [b5a6588] suggest scribus-ng-doc.
    + [6ac409d] update build dependencies to be sure every optional feature is
                enabled and drop obsolate version restrictions.
    + [3e84a4d] build-depend on libfreehand-dev instead of libfreehand-0.1-1.
  * Changes done to have all 3 scribus packages (scribus and scribus-{ng,trunk})
    both in their debian version (with non-dfsg file stripped) and upstream
    build out of the same debian/ directory as much as possible:
    + [a99238d,79f3a04] debian/rules: add some noop code.

