=== debian/control ===
Source: scribus-ng
Section: graphics
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake (>= 2.4.3),
 debhelper (>= 9),
 dh-exec,
 dh-python,
 extra-cmake-modules,
 gettext,
 libboost-python-dev,
 libcairo2-dev,
 libcdr-dev,
 libcups2-dev,
 libfreehand-dev,
 libgraphicsmagick++1-dev,
 libharfbuzz-dev,
 libhunspell-dev,
 libhyphen-dev,
 libicu-dev,
 liblcms2-dev,
 libmspub-dev,
 libopenscenegraph-dev [!armel !armhf !arm64],
 libpagemaker-dev,
 libpodofo-dev,
 libpoppler-cpp-dev,
 libpoppler-dev,
 libpoppler-private-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 librevenge-dev,
 libtiff-dev,
 libvisio-dev,
 libwpg-dev,
 libxml2-dev,
 python-all,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 zlib1g-dev,
Standards-Version: 4.1.2
Rules-Requires-Root: no
Vcs-Git: https://anonscm.debian.org/git/collab-maint/scribus-ng.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/scribus-ng.git
Homepage: http://www.scribus.net

Package: scribus-ng
Architecture: any
Depends:
 ghostscript,
 python-tk,
 scribus-ng-data (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends:
 cups-bsd,
 fonts-dejavu,
 fonts-liberation,
 hyphen-hyphenation-patterns,
 icc-profiles-free,
 xfonts-scalable | gsfonts-x11,
Suggests:
 icc-profiles,
 scribus-ng-doc,
 scribus-template,
 texlive-latex-recommended,
Description: Open Source Desktop Page Layout - 1.5.x branch
 This is the developmental branch of Scribus - the open source desktop page
 layout program. This package is intended for tracking fast-paced development
 of scribus to make new features available to those who need them. Do not use
 this package if stability is your main requirement or if you intend to return
 to the stable 1.4.x "scribus" package at some point as the file formats are
 incompatible. This package is only for people who need the cutting edge
 features and can handle crashes and data loss and submit bug reports.
 .
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-ng-data
Architecture: all
Depends:
 python,
 python-tk,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 fonts-dejavu,
Description: Open Source Desktop Page Layout - data files - 1.5.x branch
 This is the developmental branch of Scribus - the open source desktop page
 layout program. This package is intended for tracking fast-paced development
 of scribus to make new features available to those who need them. Do not use
 this package if stability is your main requirement or if you intend to return
 to the stable 1.4.x "scribus" package at some point as the file formats are
 incompatible. This package is only for people who need the cutting edge
 features and can handle crashes and data loss and submit bug reports.
 .
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 This package contains the architecture-independent files.
